import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiStoragePolicyGetResultModel(
    _base.BaseAPIResultModel,
    _nested.StoragePolicyAPIResultNM
):
    pass


class CloudapiStoragePolicyGetProtocol(_base.BaseGetAPIFunctionProtocol):
    def get(
        self,
        *,
        id: int,
    ) -> CloudapiStoragePolicyGetResultModel:
        ...
